
// myUDCGen class
var _uDCGen = (function () {

    // getCbmChar
    var setFromBuffer = function (data) {
		var size = data.length;
		size = size / gCharHeight;
		for (var i = 0; i < size; i++)
		{
			cbmChars[i] = new cbmChar(i, data);
		}
    };

    // Declare and allocate an array to hold the UDC data
    var cbmChars = [];
    for (var i = 0; i <= 255; i++)
        cbmChars.push(new cbmChar(i, cbmCharData));
	
    // getCharCount
    var getCharCount = function (index) {return cbmChars.length;}
	
    // getCbmChar
    var getCbmChar = function (index) {
        if ((index < 0) || (index > 255))
            throw "Out of range";
        return cbmChars[index];
    };

    // getCbmChar
    var clearDrawCaches = function () {
		for (var i = 0; i <= 255; i++)
			cbmChars[i].Canvas().width = 0;
    };

    // Closure Interface
    return {
        getCbmChar: getCbmChar,
		getCharCount : getCharCount,
		setFromBuffer : setFromBuffer,
		clearDrawCaches : clearDrawCaches
    };
});

uDCGen = new _uDCGen();